Package org.drinkless.tdlib

# Class TdApi.TestProxy

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.TestProxy

Enclosing class:
  TdApi

public static class TdApi.TestProxy extends TdApi.Function<TdApi.Ok>
Sends a simple network request to the Telegram servers via proxy; for testing only. Can be called before authorization.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `dcId`
  Identifier of a datacenter with which to test connection.
  `int`
  `port`
  Proxy server port.
  `String`
  `server`
  Proxy server domain or IP address.
  `double`
  `timeout`
  The maximum overall timeout for the request.
  `TdApi.ProxyType`
  `type`
  Proxy type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestProxy()`
  Default constructor for a function, which sends a simple network request to the Telegram servers via proxy; for testing only.
  `TestProxy(String server, int port, TdApi.ProxyType type, int dcId, double timeout)`
  Creates a function, which sends a simple network request to the Telegram servers via proxy; for testing only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### server

    public String server
    Proxy server domain or IP address.

  - ### port

    public int port
    Proxy server port.

  - ### type

    public TdApi.ProxyType type
    Proxy type.

  - ### dcId

    public int dcId
    Identifier of a datacenter with which to test connection.

  - ### timeout

    public double timeout
    The maximum overall timeout for the request.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TestProxy

    public TestProxy()
    Default constructor for a function, which sends a simple network request to the Telegram servers via proxy; for testing only. Can be called before authorization.

    Returns `Ok`

  - ### TestProxy

    public TestProxy(String server, int port, TdApi.ProxyType type, int dcId, double timeout)
    Creates a function, which sends a simple network request to the Telegram servers via proxy; for testing only. Can be called before authorization.

    Returns `Ok`

    Parameters:
      `server` - Proxy server domain or IP address.
      `port` - Proxy server port.
      `type` - Proxy type.
      `dcId` - Identifier of a datacenter with which to test connection.
      `timeout` - The maximum overall timeout for the request.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR